## org.eclipse.emf.ecore.xmi
Interface DOMHelper

All Known Implementing Classes:
  DefaultDOMHandlerImpl

    public interface DOMHelper

This interface provides methods which given a DOM node return corresponding EMF objects.

Since:
  2.1.0

Method Summary
`EObject` `getContainer(org.w3c.dom.Node node)`
`EStructuralFeature` `getEStructuralFeature(org.w3c.dom.Node node)`
`java.lang.Object` `getValue(org.w3c.dom.Node node)`

Method Detail

### getContainer

    EObject getContainer(org.w3c.dom.Node node)

  Parameters:
    `node` - the DOM node
  Returns:
    the `EObject` container that holds the DOM node.

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature(org.w3c.dom.Node node)

  Parameters:
    `node` - the DOM node
  Returns:
    the feature for the DOM node value.

### getValue

    java.lang.Object getValue(org.w3c.dom.Node node)

  Parameters:
    `node` - the attribute `Attr` or element `Element` node
  Returns:
    the corresponding EMF value, one of: `EObject` `FeatureMap.Entry` `List` or Java type (e.g. `String`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.